Subject: Ticket Assigned - Promotions or Gift Vouchers
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Wed, 08 Jun 2022 16:17:14 +0000

Hi Mohammed yahya,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Promotions or Gift Vouchers 24/05/2022 I called center point call center service at 13:25 pm and the Agent who took my call his name was Abdulla I hardly heard his name because he was talking with unclear voice.  Two days back I have called regarding of the gift card issue and I have the complain number to follow up . I called today because I didn’t hear anything from your side regarding my complain ,so this agent has took my call I gave him the complain number to check and he just say it’s open still and no updates , so I asked him when I can get the response back from team he told me it’s open duration. I didn’t get what open duration I told him it may one month or on year I asked him for the policy of it he told no policy . I was really unsatisfied with his answer and was rude and while talking to me he raised his voice and non stop talking in very rude way .He started threatening to hang up and saying that I’m pranking him and when I asked him to repeat what he said he just kept silent  . I couldn’t agree on the way that he was talking to me I felt insulted by him and this is not acceptable at all . I asked him if he is not welling to continue the call with polite way to give the call for another agent be he refused and said I can’t I took your call you have to talk to me . He knows that the call is being and he has no fear because no one will listen to it.  I couldn’t imagine such a horrible service from a big organization . I will not use your application or visit your store for such an insulting and horrible experience and will not recommend anyone else to use it otherwise they will get this horrible experience. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4396697